MessagesMapTestCase (Struts Faces 1.3.10 Test API)

Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.faces.util
Class MessagesMapTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.struts.faces.util.MessagesMapTestCase

All Implemented Interfaces:
  junit.framework.Test

    public class MessagesMapTestCase

extends junit.framework.TestCase

Unit tests for `MessagesMap`.

Field Summary
`protected org.apache.struts.faces.util.MessagesMap` | `map` The `MessagesMap` instance to be tested.
`protected MessageResources` | `resources` The `MessageResources` instance containing the messages used for testing.

Constructor Summary
`MessagesMapTestCase(String name)` Construct a new instance of this test case.

Method Summary
`void` | `setUp()` Set up instance variables required by this test case.
`static junit.framework.Test` | `suite()` Return the tests included in this test suite.
`void` | `teaDown()` Tear down instance variables required by this test case.
`void` | `testContainsKey()` Test the `containsKey()` method.
`void` | `testGet()` Test the `get()` method.
`void` | `testPristine()` Test a pristine instance, and all unsupported methods.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### map

    protected org.apache.struts.faces.util.MessagesMap map

  The `MessagesMap` instance to be tested.

### resources

    protected MessageResources resources

  The `MessageResources` instance containing the messages used for testing.

Constructor Detail

### MessagesMapTestCase

    public MessagesMapTestCase(String name)

  Construct a new instance of this test case.

  Parameters:
    `name` - Name of the test case

Method Detail

### setUp

    public void setUp()
               throws Exception

  Set up instance variables required by this test case.

  Overrides:
    `setUp` in class `junit.framework.TestCase`
  Throws:
    `Exception`

### suite

    public static junit.framework.Test suite()

  Return the tests included in this test suite.

### teaDown

    public void teaDown()
                 throws Exception

  Tear down instance variables required by this test case.

  Throws:
    `Exception`

### testContainsKey

    public void testContainsKey()
                         throws Exception

  Test the `containsKey()` method.

  Throws:
    `Exception`

### testGet

    public void testGet()
                 throws Exception

  Test the `get()` method.

  Throws:
    `Exception`

### testPristine

    public void testPristine()
                      throws Exception

  Test a pristine instance, and all unsupported methods.

  Throws:
    `Exception`

Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.